Subject: bug#70019: [PATCH] Fix two bugs in removing bookmark fringe marks (bug#70019)

From: Eli Zaretskii <[email-masked]>
Date: Mon, 22 Apr 2024 10:40:42 +0300

> Cc: [email-masked], Emacs Developers <[email-masked]>
> From: Dani Moncayo <[email-masked]>
> Date: Mon, 22 Apr 2024 08:26:41 +0200
> 
> On Mon, Apr 22, 2024 at 5:51 AM Karl Fogel <[email-masked]> wrote:
> > [...]
> >
> > In general, there's no mechanism for a bookmark fringe mark to be
> > shown when one goes to a bookmarked location by some means *other*
> > than through a bookmark function.
> >
> > [...]
> 
> Hi Karl.
> 
> OK, Thanks for your work on this, and for your explanations, which I understand.
> 
> I intuitively expected the fringe icon to be shown at its current
> location, whenever that location is visible, regardless of other
> considerations.
> 
> We both agree that it would be a nice feature, but not at any price.
> 
> I'm OK with your fix, then.  Thanks.

Thanks.  Karl, please install the patch on the master branch, and
close the bug when you do.